
Infrastructure - Bug #1244

GMN default serialization should be XML

2011-01-20 03:35 - Robert Waltz

Status: Closed Start date: 2011-01-20

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2011.04   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

If I issue this request: GET -U -e  "http://gmn-dev.dyndns.org/mn/meta/hdl%253A10255%252Fdryad.1308%252Fmets.xml"

without any headers, excepting User-Agent:

GET http://gmn-dev.dyndns.org/mn/meta/hdl%253A10255%252Fdryad.1308%252Fmets.xml

User-Agent: lwp-request/5.834 libwww-perl/5.834

Then I receive the following response from GMN:

Date: Thu, 20 Jan 2011 03:35:07 GMT

Server: Apache/2.2.14 (Ubuntu)

Vary: Cookie,Accept-Encoding

Content-Type: text/html; charset=utf-8

Client-Date: Thu, 20 Jan 2011 03:33:07 GMT

Client-Peer: 129.24.0.15:80

Client-Response-Num: 1

Client-Transfer-Encoding: chunked

{"errorCode": 404, "detailCode": "1060.base.py(92)/auth.py(75)/views.py(550)/views.py(576)/Type: /Value: 404 [NotFound:0]

Non-existing System Metadata object was requested\n  pid: 'hdl%253A10255%252Fdryad.1308%252Fmets.xml'", "traceInformation":

{"pid": "hdl%253A10255%252Fdryad.1308%252Fmets.xml"}, "name": "NotFound", "description": "Non-existing System Metadata

object was requested"}

History

#1 - 2011-01-27 16:56 - Roger Dahl

- Target version set to Sprint-2011.04

#2 - 2011-01-27 16:58 - Roger Dahl

- Status changed from New to Closed
